package com.ruoyi.ems.mapper;

import java.util.List;
import com.ruoyi.ems.domain.ElecPriceStrategy;

/**
 * 电价策略Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-23
 */
public interface ElecPriceStrategyMapper {
    /**
     * 查询电价策略
     *
     * @param id 电价策略主键
     * @return 电价策略
     */
    ElecPriceStrategy selectById(Long id);

    /**
     * 查询电价策略列表
     *
     * @param elecPriceStrategy 电价策略
     * @return 电价策略集合
     */
    List<ElecPriceStrategy> selectList(ElecPriceStrategy elecPriceStrategy);

    /**
     * 新增电价策略
     *
     * @param elecPriceStrategy 电价策略
     * @return 结果
     */
    int insert(ElecPriceStrategy elecPriceStrategy);

    /**
     * 修改电价策略
     *
     * @param elecPriceStrategy 电价策略
     * @return 结果
     */
    int update(ElecPriceStrategy elecPriceStrategy);

    /**
     * 删除电价策略
     *
     * @param id 电价策略主键
     * @return 结果
     */
    int deleteById(Long id);

    /**
     * 批量删除电价策略
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteByIds(Long[] ids);
}
